<?php

class p_userelki extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();

        // Информация о плагине

        $this->info['plugin']           = 'p_userelki';
        $this->info['title']            = 'Ёлка-плагин';
        $this->info['description']      = 'Плагин добавляет вкладку в профиль пользователя с ёлкой';
        $this->info['author']           = 'Amurland';
        $this->info['version']          = '1.0';

        $this->info['tab']              = 'Ёлка'; //-- Заголовок закладки в профиле
		
        // Настройки по-умолчанию
		$this->config['last_pod']     = 5 ;

        // События, которые будут отлавливаться плагином

        $this->events[]                 = 'USER_PROFILE';

    }

// ==================================================================== //

    /**
     * Процедура установки плагина
     * @return bool
     */
    public function install(){

        return parent::install();

    }

// ==================================================================== //

    /**
     * Процедура обновления плагина
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     * Обработка событий
     * @param string $event
     * @param array $user
     * @return html
     */
    public function execute($event='', $user=array()){

        parent::execute();

        $inCore     = cmsCore::getInstance();
		$inUser = cmsUser::getInstance();
        $articles   = array();
		$cfg_component = $inCore->loadComponentConfig('elki');
        $user_id    = $user['id'];
      	
if($cfg_component['time_archive']!=0)
{ 
	$sql_add="and `time_elki` > '".$cfg_component['time_archive']."'";
}
      	
        $sql        = "SELECT * FROM cms_elki_all WHERE `user_id`='".$user_id."' ".$sql_add." order by time_elki desc;";

        $result     = $this->inDB->query($sql);

        $total      = $this->inDB->num_rows($result);
ob_start();

        if ($total){

           $elki = $this->inDB->fetch_assoc($result);
           echo "<h3>Новогодняя ёлка</h3>";
          ?>
		<style>
		.nnn:hover {background-color:#f5ffe8;}
		</style>
		  <?
           echo '<table width="100%"><td width="70">
			<a href="/elki/elka'.$elki[id].'.html" ><img src="/components/elki/images/elka.png" width="65" height="65" border="0"></a>
			</td>
				<td width="300" valign="top">	
			<strong>Дата создания</strong>: '.$inCore->dateFormat($elki[time_elki], true, true).'<br/>
			<strong>Поздравлений/Подарков</strong>: <a href="/elki/podarki'.$elki[id].'.html">'.$elki[amount_pod].'</a><br/>
			<strong>Просмотров</strong>: '.$elki[view].'<br/>
			</tr></table>
			';
			 echo "<a href='/elki/elka".$elki[id].".html' >Перейти к ёлке</a><br/>";
			 
			 echo "<h3>Последние подарки/пожелания</h3>";
			$sql1="SELECT e.*, u.login, u.nickname
				FROM cms_elki_pod e
				LEFT JOIN cms_users u ON u.id = e.user_id
				WHERE `elka_id`='".$elki[id]."' order by id desc LIMIT ".$this->config['last_pod'].";";
			
			$result1= $this->inDB->query($sql1);
			echo "<table width='100%'>";
	while ($podarki = $this->inDB->fetch_assoc($result1))
	{ if($podarki[user_id]>0 and !empty($podarki[nickname]))
		{
			$usser ="<a href='/users/".$podarki[login]."' >".$podarki[nickname]."</a>";
		}
		else
		{
			$usser ="Гость";
		}
		if($inUser->id==$elki[user_id])
			{
		$del="<div style='float:right;'> <a href='/elki/delpod".$podarki[id].".html' onclick=\"return confirm('Вы действительно хотите удалить?')\">удалить</a></div>";
		}
	 	echo "<tr class='nnn'>
	 		<td width='100'><a name='".$podarki[id]."'><img src='/components/elki/images/pod/".$podarki[number_pod].".png' width='70' border='0' /></a></td>
	 		<td valign='top' style='border-bottom:1px dotted #e1e1e1;'><span style='font-size:11px;color:#777777;'><strong>Подарок/пожелание от:</strong> ".$usser." ".$del."<br/><strong>Время:</strong> ".$inCore->dateFormat($podarki[time], true, true)."<br/></span><strong>Пожелание:</strong><br/>".str_replace("\r","<br/>",$podarki[text])."</td>
	 	</tr>";
	}
				echo "</table>";
				echo "<a href='/elki/podarki".$elki[id].".html'>Все подарки/пожелания</a>";
            
        }
        else
        {   if($user_id==$inUser->id)
        	{
        	echo "Вы ещё не создавали свою ёлку<br/>Можете создать её! <a href='/elki/add.html'>Нажмите на эту ссылку</a>";
        	}
        	else
        	{
        	echo "Пользователь не создал свою ёлку";
        	}
        }

        

       

        $html = ob_get_clean();

        return $html;

    }

// ==================================================================== //

}

?>
